Page MenuHomePhabricator

Error in {{PAGENAME}}
Closed, DeclinedPublic

Description

When {{PAGENAME}} is substituted in Wikinews and the title has punctuation (for example "&", ";") an error occurs.

For example here.

Event Timeline

Edu triaged this task as Medium priority.May 16 2021, 10:15 PM
Edu updated the task description. (Show Details)
Reedy raised the priority of this task from Medium to Needs Triage.May 16 2021, 10:28 PM
Edu renamed this task from Error in URLs to Error in {{PAGENAME}}.Jun 23 2021, 10:30 PM
Edu reopened this task as Open.
Edu updated the task description. (Show Details)

Update: I am reopening the task because an error still occurs.

Reedy added a subscriber: Reedy.

Reopen the task that it was duplicated against, then.

Reopen the task that it was duplicated against, then.

Are these tasks really duplicates? The other task was caused by double escaping in the GlobalUsage extension and is now fixed and working fine. This bug with substitution of PAGENAME is unlikely to be caused by GlobalUsage extension.

@Lejonel I also considered different tasks…

Aklapper changed the task status from Open to Stalled.Aug 9 2021, 9:46 AM

Hi, I went to https://pt.wikinews.org/wiki/Lira_nega_que_haja_%22jabutis%22_na_MP_da_Eletrobras#Fontes and fail to understand where to see a problem and what "error" means exactly. Could you please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide 1) clear steps to reproduce, step by step, 2) what exactly you expect to happen (including the specific wikitext line), and 3) what exactly happens instead (including the specific wikitext line)? Thanks.

Unfortunately closing this Phabricator task as no further information has been provided.

@Edu: After you have provided the information asked for and if this still happens, please set the status of this task back to "Open" via the Add Action...Change Status dropdown. Thanks!